高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviCongestionInfo Class Reference

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviCongestionInfo:

## Properties
NSInteger | remainDistance
NSInteger | remainTime
BOOL | inCongestionArea
AMapNaviRouteStatus | status
NSInteger | beginSegmentIndex
NSInteger | beginLinkIndex
NSInteger | endSegmentIndex
NSInteger | endLinkIndex
NSInteger | beginCoorIndex

## Detailed Description

实时导航中的拥堵区域信息 since 6.3.0 Real-time traffic congestion area information

## Property Documentation

## ◆ beginCoorIndex

- (NSInteger) beginCoorIndex
| read write nonatomic assign

## ◆ beginLinkIndex

- (NSInteger) beginLinkIndex
| read write nonatomic assign

该拥堵区域的起始Segment中起始link的索引 The index of the starting link in the starting segment of the congested area

## ◆ beginSegmentIndex

- (NSInteger) beginSegmentIndex
| read write nonatomic assign

该拥堵区域的起始Segment的索引 The index of the starting segment in the congested area

## ◆ endLinkIndex

- (NSInteger) endLinkIndex
| read write nonatomic assign

该拥堵区域的结束Segment中结束link的索引 The index of the ending link in the ending segment of the congested area 拥堵起点区域最近（拥堵起始点前）的形状点索引 Shape point index closest to the congestion starting area (before the congestion starting point)

## ◆ endSegmentIndex

- (NSInteger) endSegmentIndex
| read write nonatomic assign

该拥堵区域的结束Segment的索引 The index of the ending segment in the congested area

## ◆ inCongestionArea

- (BOOL) inCongestionArea
| read write nonatomic assign

当前自车位置是否在拥堵区域内 Whether the current vehicle position is within the congested area

## ◆ remainDistance

- (NSInteger) remainDistance
| read write nonatomic assign

离自车位置最近的拥堵区域的总长度（单位：米), 如果当前自车位置已在拥堵区域内，表示的就是剩余的拥堵距离 The total length of the nearest congestion area to the vehicle's current position (unit: meters). If the vehicle is already within the congestion area, this represents the remaining congestion distance.

## ◆ remainTime

- (NSInteger) remainTime
| read write nonatomic assign

预计通过该拥区域的时长（单位：秒), 如果当前自车位置已在拥堵区域内，表示的就是剩余拥堵段的通过时长 Estimated time to pass through the congested area (in seconds). If the current vehicle position is already within the congested area, it represents the remaining time to pass through the congested segment

## ◆ status

- (AMapNaviRouteStatus) status
| read write nonatomic assign

拥堵程度, 只会是: AMapNaviRouteStatusSlow, AMapNaviRouteStatusJam, AMapNaviRouteStatusSeriousJam Congestion level, can only be: AMapNaviRouteStatusSlow, AMapNaviRouteStatusJam, AMapNaviRouteStatusSeriousJam

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。